# invoke

operator fun String.invoke(artifactNotation: Any): PublishArtifact
operator fun Configuration.invoke(artifactNotation: Any): PublishArtifact

Adds an artifact to the given configuration.

#### Return

The artifact.

#### Parameters

artifactNotation

notation of the artifact to add.

#### See also

ArtifactHandler.add

operator fun String.invoke(artifactNotation: Any, configureAction: ConfigurablePublishArtifact.() -> Unit): PublishArtifact
operator fun Configuration.invoke(artifactNotation: Any, configureAction: ConfigurablePublishArtifact.() -> Unit): PublishArtifact

Adds an artifact to the given configuration.

#### Return

The artifact.

#### Parameters

artifactNotation

notation of the artifact to add.

configureAction

the action to execute to configure the artifact.

#### See also

ArtifactHandler.add

inline operator fun invoke(configuration: ArtifactHandlerScope.() -> Unit): <Error class: unknown class>

Configures the artifacts.